Bug 159793

Summary: [patch] polish/kadu update
Product: Ports & Packages Reporter: Pawel Pekala <pawel>
Component: Individual Port(s)Assignee: Pawel Pekala <pawel>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Pawel Pekala freebsd_committer 2011-08-15 16:20:07 UTC
- update to version 0.9.2
- add LICENSE info
- mark MAKE_JOBS_UNSAFE
- remove WITH_TABS option, now included in main package

Patch:
http://people.freebsd.org/~pawel/kadu.diff

Build logs:
http://people.freebsd.org/~pawel/7.4/pl-kadu-0.9.2%2c1.log
http://people.freebsd.org/~pawel/8.2/pl-kadu-0.9.2%2c1.log
Comment 1 Edwin Groothuis freebsd_committer 2011-08-15 16:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-08-15 16:20:22 UTC
Maintainer of polish/kadu,

Please note that PR ports/159793 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159793

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-08-15 16:20:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 mwisnicki+freebsd 2011-08-21 23:06:52 UTC
Here is an improved patch:
http://wisnia21.freeshell.org/f/ports/pl-kadu-0.9.2.diff

Your patch introduced wrong include path and then worked this around
by switching includes to non-conflicting names.
Instead, I have fixed CMakeLists to correctly construct include paths.
Additionally:
- set version to disable git invocation
- depend explicitly on qt-sqlite

P.S. I wasn't very active in maintaining kadu recently. If you want to
take maintainership I will gladly pass it to you.

On Mon, Aug 15, 2011 at 17:20, Edwin Groothuis <edwin@freebsd.org> wrote:
> The full text of the PR can be found at:
> =C2=A0 =C2=A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/159793
>
Comment 5 Pawel Pekala freebsd_committer 2011-08-22 15:32:00 UTC
Dnia 2011-08-21, o godz. 22:10:10
Marcin Wisnicki <mwisnicki+freebsd@gmail.com> napisa=B3(a):

> Here is an improved patch:
> http://wisnia21.freeshell.org/f/ports/pl-kadu-0.9.2.diff
>=20
> Your patch introduced wrong include path and then worked this around
> by switching includes to non-conflicting names.

Just for the record I worked with upstream to remove those conflicts:

http://kadu.net/mantis/view.php?id=3D2275

Probably this will eliminate need for patching CMakeList files with
version 0.10.0

> Instead, I have fixed CMakeLists to correctly construct include paths.
> Additionally:
> - set version to disable git invocation
> - depend explicitly on qt-sqlite
>=20
> P.S. I wasn't very active in maintaining kadu recently. If you want to
> take maintainership I will gladly pass it to you.

Ok I will take it, I'm using this port everyday so I will take good
care of it.

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 6 mwisnicki+freebsd 2011-08-22 15:40:53 UTC
2011/8/22 Pawel Pekala <pawel@freebsd.org>:
> Dnia 2011-08-21, o godz. 22:10:10
> Marcin Wisnicki <mwisnicki+freebsd@gmail.com> napisa=C5=82(a):
>
>> Your patch introduced wrong include path and then worked this around
>> by switching includes to non-conflicting names.
>
> Just for the record I worked with upstream to remove those conflicts:
>
> http://kadu.net/mantis/view.php?id=3D2275
>
> Probably this will eliminate need for patching CMakeList files with
> version 0.10.0

It's the CMakeLists that are broken, my patches should be pushed
upstream. I will send them myself later.
There is nothing wrong with using "qfoo.h", you just need to set
include path in correct order.
Comment 7 dfilter service freebsd_committer 2011-08-22 19:21:20 UTC
pawel       2011-08-22 18:21:11 UTC

  FreeBSD ports repository

  Modified files:
    polish/kadu          Makefile distinfo pkg-descr pkg-plist 
  Added files:
    polish/kadu/files    patch-kadu-core__CMakeLists.txt 
                         patch-modules__docking__CMakeLists.txt 
                         patch-modules__idle__CMakeLists.txt 
                         patch-modules__kde_notify__CMakeLists.txt 
                         patch-modules__screenshot__CMakeLists.txt 
                         patch-modules__sound__CMakeLists.txt 
                         patch-modules__spellchecker__CMakeLists.txt 
  Removed files:
    polish/kadu/files    patch-kadu-core_gadu_resolver.cpp 
  Log:
  - unbreak and update to version 0.9.2
  - add LICENSE info
  - mark MAKE_JOBS_UNSAFE
  - remove WITH_TABS option, now included in main package
  - take maintainership
  
  PR:             159793
  Submitted by:   initial version by me, improvements by maintainer
  Approved by:    maintainer (PR) miwi, wen (mentors implicit)
  
  Revision  Changes     Path
  1.37      +19 -28     ports/polish/kadu/Makefile
  1.19      +2 -4       ports/polish/kadu/distinfo
  1.1       +10 -0      ports/polish/kadu/files/patch-kadu-core__CMakeLists.txt (new)
  1.2       +0 -10      ports/polish/kadu/files/patch-kadu-core_gadu_resolver.cpp (dead)
  1.1       +19 -0      ports/polish/kadu/files/patch-modules__docking__CMakeLists.txt (new)
  1.1       +10 -0      ports/polish/kadu/files/patch-modules__idle__CMakeLists.txt (new)
  1.1       +12 -0      ports/polish/kadu/files/patch-modules__kde_notify__CMakeLists.txt (new)
  1.1       +12 -0      ports/polish/kadu/files/patch-modules__screenshot__CMakeLists.txt (new)
  1.1       +31 -0      ports/polish/kadu/files/patch-modules__sound__CMakeLists.txt (new)
  1.1       +10 -0      ports/polish/kadu/files/patch-modules__spellchecker__CMakeLists.txt (new)
  1.2       +1 -1       ports/polish/kadu/pkg-descr
  1.19      +3006 -534  ports/polish/kadu/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Pawel Pekala freebsd_committer 2011-08-22 19:39:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!